Skip to content

Attach/Detach Read Replica

PUT
/api/v1/rds/cluster/slave/{Instance_id}/public-ip-{AttachDetach_Read_Replica}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/slave/{Instance_id}/public-ip-{AttachDetach_Read_Replica}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"public_ip_required": "True"
}'
Instance_id
required
integer

Instance_id

AttachDetach_Read_Replica
required
string
Allowed values: attach detach

Actions to manage Read Replica

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
public_ip_required
required
string
Allowed values: True False

Example

True

Public IP updated successfully

Media typeapplication/json
object
code
integer
data
string
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": "updated public ip successfully",
"message": "Success"
}